import { EventEmitter, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { CasesService } from '../services/cases.service';
import { AlertService } from '../../../services/alert';
import { CaseEventData } from '../../../domain';
import { EventTriggerService } from '../services/event-trigger.service';
export declare class CaseProgressComponent implements OnInit {
    private casesService;
    private alertService;
    private eventTriggerService;
    case: string;
    event: string;
    cancelled: EventEmitter<any>;
    submitted: EventEmitter<any>;
    private caseDetails;
    private eventTrigger;
    constructor(casesService: CasesService, alertService: AlertService, eventTriggerService: EventTriggerService);
    ngOnInit(): void;
    submit(): (sanitizedEditForm: CaseEventData) => Observable<object>;
    validate(): (sanitizedEditForm: CaseEventData, pageId: string) => Observable<object>;
    emitCancelled(event: any): void;
    emitSubmitted(event: any): void;
    isDataLoaded(): boolean;
}
